Subject: Re: bug#52685: 29.0.50; Horizontal scrolling doesn't work when compiled with pgtk

From: Andrey Listopadov <[email-masked]>
Date: Tue, 21 Dec 2021 10:22:55 +0300

вт, 21 дек. 2021 г., 04:28 Po Lu <[email-masked]>:

> Andrey Listopadov <[email-masked]> writes:
>
> > After PGTK was merged I've compiled Emacs with the required switch.  The
> > first thing I've noticed was that --with-xinput2 has no effect when
> > --with-pgtk switch is supplied, so I've removed it.  I'm not sure if
> > this is intentional or not.  The main issue now is that horizontal
> > scrolling with a touchpad no longer works for me. All horizontal events
> > are registered as mwheel-down events.
>
> To answer your first question: since the PGTK build doesn't use X, the
> --with-xinput2 option has no effect.
>
> As for the second problem, I don't see the problem here, but I'm copying
> in Yuuki as he might have some ideas.
>
> Thanks.
>

Makes sense, thanks.

By "I don't see the problem here" do you mean horizontal scrolling works
for you on PGTK build?

I've tested this on my second laptop, which has different manufacturer, and
it doesn't work there either.  For the record, I'm using Fedora 34 and 35.

-- 
Andrey Listopadov